package cn.com.qmth.stmms.biz.common.domain.card;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Collections;
import java.util.List;

public class Extension {

    @JsonProperty("barcode")
    private List<FieldArea> barcode = Collections.emptyList();

    @JsonProperty("qrcode")
    private List<FieldArea> qrcode = Collections.emptyList();

    @JsonProperty("fill_area")
    private List<FillArea> fillArea = Collections.emptyList();

    @JsonProperty("ocr_area")
    private List<FieldArea> ocrArea = Collections.emptyList();

    public List<FieldArea> getBarcode() {
        return barcode;
    }

    public void setBarcode(List<FieldArea> barcode) {
        this.barcode = barcode;
    }

    public List<FieldArea> getQrcode() {
        return qrcode;
    }

    public void setQrcode(List<FieldArea> qrcode) {
        this.qrcode = qrcode;
    }

    public List<FillArea> getFillArea() {
        return fillArea;
    }

    public void setFillArea(List<FillArea> fillArea) {
        this.fillArea = fillArea;
    }

    public List<FieldArea> getOcrArea() {
        return ocrArea;
    }

    public void setOcrArea(List<FieldArea> ocrArea) {
        this.ocrArea = ocrArea;
    }

}
